%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Name:           nodejs-packaging
Version:        23
Release:        %mkrel 5
Summary:        RPM Macros and Utilities for Node.js Packaging
BuildArch:      noarch
Group:          System/Packaging
License:        MIT
URL:            https://fedoraproject.org/wiki/Node.js/Packagers
Source0:        https://pagure.io/%{name}/archive/fedora-%{version}/%{name}-fedora-%{version}.tar.gz

# (tv) replace rich deps by 2 regular deps:
Patch0: no-rich-deps.patch

Requires:       nodejs(engine) >= 0.10.12
Requires:       rpm-mageia-setup-build

%description
This package contains RPM macros and other utilities useful for packaging
Node.js modules and applications in RPM-based distributions.

%prep
%autosetup -p 1 -n %{name}-fedora-%{version}

%build
#nothing to do

%install
install -Dpm0644 macros.nodejs %{buildroot}%{macrosdir}/macros.nodejs
install -Dpm0644 nodejs.attr %{buildroot}%{_rpmconfigdir}/fileattrs/nodejs.attr
install -pm0755 nodejs.prov %{buildroot}%{_rpmconfigdir}/nodejs.prov
install -pm0755 nodejs.req %{buildroot}%{_rpmconfigdir}/nodejs.req
install -pm0755 nodejs-symlink-deps %{buildroot}%{_rpmconfigdir}/nodejs-symlink-deps
install -pm0755 nodejs-fixdep %{buildroot}%{_rpmconfigdir}/nodejs-fixdep
install -Dpm0644 multiver_modules %{buildroot}%{_datadir}/node/multiver_modules

%files
%license LICENSE
%{macrosdir}/macros.nodejs
%{_rpmconfigdir}/fileattrs/nodejs*.attr
%{_rpmconfigdir}/nodejs*
%{_datadir}/node/multiver_modules


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 23-5.mga10
+ Revision: 2205938
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 23-4.mga9
+ Revision: 1812498
- Mageia 9 Mass Rebuild

* Sat Mar 07 2020 tv <tv> 23-3.mga8
+ Revision: 1554680
- replace rich deps by 2 regular deps

* Wed Feb 19 2020 umeabot <umeabot> 23-2.mga8
+ Revision: 1542545
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 joequant <joequant> 23-1.mga8
+ Revision: 1476589
- update to 23

* Wed Sep 25 2019 joequant <joequant> 22-1.mga8
+ Revision: 1445836
- update to 22

* Wed Sep 19 2018 umeabot <umeabot> 9-2.mga7
+ Revision: 1265128
- Mageia 7 Mass Rebuild

* Sat May 14 2016 tv <tv> 9-1.mga6
+ Revision: 1015465
- new version from FC

* Fri May 13 2016 joequant <joequant> 7-8.mga6
+ Revision: 1014940
- add %%nodejs_arches

* Thu Feb 18 2016 umeabot <umeabot> 7-7.mga6
+ Revision: 966651
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 joequant <joequant> 7-6.mga6
+ Revision: 846286
- unpack files
- unpack files

* Wed Oct 15 2014 umeabot <umeabot> 7-5.mga5
+ Revision: 738846
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7-4.mga5
+ Revision: 682905
- Mageia 5 Mass Rebuild

* Wed Jul 23 2014 joequant <joequant> 7-3.mga5
+ Revision: 655892
- remove exclusive arch
- convert to mageia requires
- add group
- imported package nodejs-packaging

